function [A,b,c,lbounds,ubounds,BIG,NAME] = loadata(pname)
% LOADATA     Load problem data to workspace.
%	      [A,b,c,lbounds,ubounds,BIG,NAME] = loadata(pname)
%             loads the problem named pname to default.mat.

% Yin Zhang, July, 1995
% Department of Mathematics and Statistics
% University of Maryland  Baltimore County

global PROBDIR ifree

if findstr('.',pname) ~= [] | ...
   findstr('/',pname) ~= [] | ...
   findstr(' ',pname) ~= []
   error('Space, "." or "/" not allowed in problem name');
end;

if pname ~= ''
   if exist('default.mat') unix('/bin/rm default.mat'); end
   fprintf(['Searching for ' pname ' ...\n']);
   for i = 1:size(PROBDIR,1)
     pdir = deblank(PROBDIR(i,:));
     found = findprob(pdir,pname);
     if found break; end
   end
   if ~found error('Problem not found.  Check spelling?'); end
end

if exist('default.mat')
   fprintf('Loading default.mat ...\n');
   load default;
else
   error('File default.mat not exist');
end
