function savelpp
% SAVELPP   Saving the LPP model in workspace into a MAT/LPP file.

% Yin Zhang, July 1995, Dept Math/Stat, UMBC

global NAME vlp
if NAME == [] error('No model to save'); end

input(['Save to matdir/' NAME '.mat? ([y]/n) '],'s');
if ans == [] ans = 'y'; end;
if lower(ans(1)) == 'y'
   if ~exist('default.mat') error('No MAT-file to save'); end
   unix(['/bin/cp default.mat ../matdir/' NAME '.mat']);
   return;
end

if vlp == [] error('No LPP-file to save'); end
input('Enter LPP-file name (empty for default): ', 's');
if ans ~= [] LPPNAME = ans; else LPPNAME = NAME; end
if findstr('.lpp',LPPNAME) == [] LPPNAME = [LPPNAME '.lpp']; end
LPPNAME = ['../lppdir/' NAME '.lpp'];

fid = fopen(LPPNAME,'w');
if fid  == -1 error(['Cannot open file ' LPPNAME]); end
for i = 1:size(vlp,1)
  str = find(vlp(i,:) ~= ' ' & vlp(i,:) ~= 0);
  str = vlp(i,1:str(length(str)));
  fprintf(fid,'%s\n' , str);
end
fclose(fid);
